Subject: Re: net/usb/ax88179_178a driver broken in linux-3.12

From: Mark Lord <[email-masked]>
Date: Mon, 02 Dec 2013 10:05:54 -0500

On 13-12-02 04:30 AM, David Laight wrote:
>> From: Mark Lord
>> Sent: 30 November 2013 02:59
>> To: Sarah Sharp; David Laight
>> Cc: David Miller; [email-masked]; [email-masked]; [email-masked]; linux-
>> [email-masked]
>> Subject: Re: net/usb/ax88179_178a driver broken in linux-3.12
>>
>> On 13-11-19 08:44 AM, Mark Lord wrote:
>>> On 13-11-19 05:04 AM, David Laight wrote:
>>>>
>>>> Which changes did you revert?
>>>
>>> Just the bits that changed how the headroom/tailroom sizes
>>> were checked and adjusted.  See attachment for the revert patch
>>> I am using here.  My mailer unfortunately likes to mangle inline patches.
>>>
> ...
>>
>> Two kernels later, and this regression has still not been fixed.
>>
>> A simple revert, folks.
> 
> Reverting the ax88179_178a driver doesn't fix the problem.
> I'm seen tx/rx issues with it on much older kernels that don't
> appear with a current kernel and the fixed xhci code.
> 
> Sarah needs to feed the xhci_ring.c fix through into stable.

Oh, I agree.  But Linus makes a MASSIVE distinction between things
that have always been broken, and REGRESSIONS from the immediately
prior kernel that can be tracked to a single update.

Let's see some action, here folks!
-- 
Mark Lord
Real-Time Remedies Inc.
[email-masked]